#import "template.typ"

#show: doc => template.apply(doc)

#grid(
  gutter: 1em,
  columns: (1fr, 1fr),
  [
    = Linux install
    ```bash
    useradd -m name # Créer un user avec home et skel
    ```

    = Bash

    ```bash
    ~% FILE="example.tar.gz"
    ~% echo "${FILE%%.*}"
    example
    ~% echo "${FILE%.*}"
    example.tar
    ~% echo "${FILE#*.}"
    tar.gz
    ~% echo "${FILE##*.}"
    gz
    ```

    = Screen


    ```sh
    screen -S name   # Créer un screen nommé
    screen -ls       # Lister les screens
    screen -r name   # Rattacher un screen
    # <Ctrl+A> <d>   # Se détacher du screen actuel
    ```
  ],
  [
  = Mon réseau

  #table(
    columns: (auto, auto, auto),
    [*Machine*], [*IPv4*], [*IPv6*],
    [], [], [],
    [*Mnemosyne* (anciennement Kitt)], [192.168.1.101], [],
    [*Phoenix* (anciennement Mnemosyne)], [192.168.1.102], [],
    [*Phoenix* (BMC)], [192.168.1.103], [],
    [], [], [],
    [*RPi* 5 (server)], [192.168.1.201], [::1],
    [*Desktop*], [192.168.1.202], [::1:1],
    [*Laptop*], [192.168.1.203], [::1:2],
    [*RPi 4* (recalbox)], [192.168.1.251], [],
    [], [], [],
    [*Keurstudio*], [192.168.1.145], []
  )

  = Mes webapps

  == tforgione.fr
  - https://tforgione.fr
  - https://storage.tforgione.fr
  - https://twitch.tforgione.fr
  - https://gitea.tforgione.fr
  - https://nuage.tforgione.fr
  - https://push.tforgione.fr
  - https://uptest.tforgione.fr

  == claudiaforgione-avocate.fr
  - https://claudiaforgione-avocate.fr
  - https://www.claudiaforgione-avocate.fr

  == acarlier.fr
  - https://acarlier.fr (proxy IPv4 #sym.arrow.r IPv6)

  == keurstudio.fr
  - https://keurstudio.fr

  ]
)
